Page MenuHomePhabricator

Revision slave does not belong to entity Q139
Closed, ResolvedPublic

Description

also seen in the exception logs in production, though infrequent.

2015-03-04 16:44:33 macbook-2.local testrepo: [df9fbaee] /api.php?action=wbgetentities&format=json&ids=Q139%0A&languages=en&props=descriptions%7Clabels%7Cclaims&sitefilter=enwiki Wikibase\Lib\Store\BadRevisionException from line 101 of /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/lib/includes/store/sql/WikiPageEntityRevisionLookup.php: Revision slave does not belong to entity Q139

#0 /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(152): Wikibase\Lib\Store\WikiPageEntityRevisionLookup->getEntityRevision(Object(Wikibase\DataModel\Entity\ItemId), 'slave')
#1 /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(132): Wikibase\Lib\Store\CachingEntityRevisionLookup->fetchEntityRevision(Object(Wikibase\DataModel\Entity\ItemId), 'slave')
#2 /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(152): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision(Object(Wikibase\DataModel\Entity\ItemId), 'slave')
#3 /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/lib/includes/store/CachingEntityRevisionLookup.php(132): Wikibase\Lib\Store\CachingEntityRevisionLookup->fetchEntityRevision(Object(Wikibase\DataModel\Entity\ItemId), 'slave')
#4 /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/repo/includes/api/GetEntities.php(221): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision(Object(Wikibase\DataModel\Entity\ItemId))
#5 /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/repo/includes/api/GetEntities.php(203): Wikibase\Api\GetEntities->getEntityRevision(Object(Wikibase\DataModel\Entity\ItemId), true)
#6 /Library/WebServer/Documents/php-master/extensions/WikidataBuild/extensions/Wikibase/repo/includes/api/GetEntities.php(91): Wikibase\Api\GetEntities->getEntityRevisionsFromEntityIds(Array, true)
#7 /Library/WebServer/Documents/php-master/includes/api/ApiMain.php(1028): Wikibase\Api\GetEntities->execute()
#8 /Library/WebServer/Documents/php-master/includes/api/ApiMain.php(397): ApiMain->executeAction()
#9 /Library/WebServer/Documents/php-master/includes/api/ApiMain.php(368): ApiMain->executeActionWithErrorHandling()
#10 /Library/WebServer/Documents/php-master/api.php(84): ApiMain->execute()
#11 {main}

Event Timeline

aude created this task.Mar 4 2015, 4:46 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2015, 4:46 PM
aude added a comment.Mar 25 2015, 4:26 PM

still happens

aude set Security to None.

Change 199632 had a related patch set uploaded (by Hoo man):
Improve exception about an unexpected entity id in WikiPageEntityRevisionLookup

https://gerrit.wikimedia.org/r/199632

hoo added a subscriber: hoo.Mar 25 2015, 5:00 PM

Change 199632 merged by jenkins-bot:
Improve exception about an unexpected entity id in WikiPageEntityRevisionLookup

https://gerrit.wikimedia.org/r/199632

Change 199783 had a related patch set uploaded (by Hoo man):
Improve exception about an unexpected entity id in WikiPageEntityRevisionLookup

https://gerrit.wikimedia.org/r/199783

hoo triaged this task as High priority.Mar 25 2015, 11:25 PM

Quite frequent in the log

Change 199783 merged by jenkins-bot:
Improve exception about an unexpected entity id in WikiPageEntityRevisionLookup

https://gerrit.wikimedia.org/r/199783

hoo added a comment.Mar 31 2015, 9:16 PM

No more such exceptions since we deployed the new exception message.

aude added a comment.Mar 31 2015, 9:25 PM

could it be something in core was causing some (or most) of these that we had last week? and it got fixed with new core code deployed to wikidata today?

hoo added a comment.Mar 31 2015, 9:27 PM

Possible... let's keep this open for another few days and check back then.

hoo closed this task as Resolved.Apr 2 2015, 10:51 AM
hoo claimed this task.

Not a single new exception... I assume this is fixed.

hoo removed a project: Patch-For-Review.